Subject: Re: Libtool that does DLL's??
From: [email-masked] (Mumit Khan)

1 May 1998 19:37:07 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Geoffrey Noer <[email-masked]>
Cc: [email-masked]

On Thu, 30 Apr 1998, Geoffrey Noer wrote:

> 
> The real piece or development work remaining with dll building is
> integrating dlltool into ld.  This is something we intend to do at
> some point (I hope sooner rather than later).
> 

Yes! On that note, I do have the patches to make GCC understand dllimport
and dllexport attributes which life a lot easier when dealing with DLLs.
Anybody who wants it, email. I have yet to integrat the patches into the
egcs development snapshots so that it makes it into egcs-1.1 release.

__attributes__((dllimport)): 
  - tested for C. Works as far as my tests go.
  - C++ is *very* problematic. For example the following will not work
    given the way the C++ front end works currently:
       
       // file scope.
       __attribute__((dllimport)) int dll_imported_variable;
       int* local_variable = &dll_imported_variable;
    
    There are other issues for C++ as well, and those will take a while to
    hash out.
  
__attributes__((dllimport)): 
  - Looks ok when I look at the disassembled output, but the problems
    won't show up until ld uses the .drectve export directives.

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".